Bug 642290 (CVE-2010-3177) - CVE-2010-3177 Mozilla XSS in gopher parser when parsing hrefs
Summary: CVE-2010-3177 Mozilla XSS in gopher parser when parsing hrefs
Status: CLOSED ERRATA
Alias: CVE-2010-3177
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101019,reported=20101008,sou...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-12 14:28 UTC by Josh Bressers
Modified: 2016-03-04 11:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 22:00:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0781 normal SHIPPED_LIVE Critical: seamonkey security update 2010-10-19 23:09:58 UTC
Red Hat Product Errata RHSA-2010:0782 normal SHIPPED_LIVE Critical: firefox security update 2010-10-19 23:20:46 UTC
Red Hat Product Errata RHSA-2010:0861 normal SHIPPED_LIVE Critical: firefox security update 2010-11-09 19:05:41 UTC

Description Josh Bressers 2010-10-12 14:28:09 UTC
Google security researcher Robert Swiecki reported that functions used by
the Gopher parser to convert text to HTML tags could be exploited to turn
text into executable JavaScript. If an attacker could create a file or
directory on a Gopher server with the encoded script as part of its name
the script would then run in a victim's browser within the context of the
site.

Comment 1 Josh Bressers 2010-10-19 22:01:10 UTC
This is now public:
http://www.mozilla.org/security/announce/2010/mfsa2010-68.html

Comment 2 errata-xmlrpc 2010-10-19 23:10:19 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0781 https://rhn.redhat.com/errata/RHSA-2010-0781.html

Comment 3 errata-xmlrpc 2010-10-19 23:21:12 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0782 https://rhn.redhat.com/errata/RHSA-2010-0782.html

Comment 4 errata-xmlrpc 2010-11-10 18:58:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0861 https://rhn.redhat.com/errata/RHSA-2010-0861.html


Note You need to log in before you can comment on or make changes to this bug.